<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets" 
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:f="http://java.sun.com/jsf/core">

    <ui:define name="contentPart">
     <h:outputText value="RH -> Plazas -> Revertir" 
                          style="font-weight: bold; font-size: medium"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>
            <h:outputText value="Revertir plaza" />                       
            <br/><br/>

      
            <h:form>
                <h:panelGrid columns="1" columnClasses="centered7" cellpadding="10" style="width: 90%;padding-left: 150px">
                <p:dataTable value="#{revertirPlazaMB.lstPlazasHijas}" var="plazaHija">
                    <p:column headerText="Numero Plaza" >
                        #{plazaHija.numeroPlaza}
                    </p:column>    
                    <p:column headerText="Puesto" >
                        #{plazaHija.puestoTO.descripcion}
                    </p:column>
                    <p:column headerText="Nivel Tabular" >
                        #{plazaHija.rhNomnTabuladoresTO.strClaveTabulador}
                    </p:column>
                    <p:column headerText="Vigencia Inicio" >
                        <h:outputText id="vigenciaInicio" value="#{plazaHija.vigenciaInicio}">
                            <f:convertDateTime type="date" pattern="dd/MM/yyyy"/>
                        </h:outputText>
                    </p:column>
                    <p:column headerText="Vigencia Fin" >
                        <h:outputText id="vigenciaFin" value="#{plazaHija.vigenciaFinal}" >                     
                            <f:convertDateTime type="date" pattern="dd/MM/yyyy"/>
                        </h:outputText>
                    </p:column>
                </p:dataTable>
            </h:panelGrid>
                <div align="right" style="margin-top: 15px;padding-right: 100px">
                    <p:commandButton value="Revertir"
                                     class="btnRevertir"
                                     process="@(.btnRevertir)"
                                     style="font-size: small; margin-right:10px; " 
                                     actionListener="#{revertirPlazaMB.revertir()}"
                                     >
                        <p:confirm header="Confirmar" message="¿Seguro que quiere revertir la plaza #{revertirPlazaMB.plaza.numeroPlaza}?" />
                    </p:commandButton>    
                    <p:commandButton
                        value="Cerrar"
                        class="btnCerrar"
                        process="@(.btnCerrar)"
                        style="font-size: small"
                        actionListener="#{revertirPlazaMB.cerrar()}"
                        />
                </div>
            </h:form>
      

        <h:form>
            <p:confirmDialog appendTo="@(body)" global="true" style="width: 450px;" closable="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" />
                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" />
            </p:confirmDialog>
        </h:form>


    </ui:define>

</ui:composition>
